#ifndef GAME_H
#define GAME_H

class IEntityBase;
struct LuaPrototype;

class Game
{
public:
	void Init();
	void InitForNewMap(const char* mapname);

	void LoadLevelXML(const char* mapname);

	IEntityBase* Lua_CreateEntity(const char* classname);

	LuaPrototype* Lua_FindPrototype(const char* classname);

	IEntityBase* FindEntityByName(const char* name);

	void Shutdown();

	void Render2D();
};

extern Game* g_game;

void registerCamera();
void registerInput();
void toggleNoclip();

#endif

